Subject: RE: (ngtrans) RE:

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Fri, 15 Sep 2000 23:05:25 +1100

George, 

Am I right to say that your issue is generally about incoming connections in
DSTM rather than the DSTM-SIIT and DSTM-MIPv6 drafts?

=> You're half right :)
There is the case of requesting an IPv4 address from the home 
DHCPv4 server, which doesn't affect DSTM but affects your 
proposal. I'm not saying you have to solve it but just mention
it as an issue if you don't want to address it. 

The other case which you mention below only affects DSTM and 
not your draft.

	....
	You say:
>    Does the Border router or TEP know that this IPv4
>    address should be routed to subnet X where the MN's HA is ? 
> 
	You are talking about incoming sessions yes?
	Here is the diagram from DSTMv1 that described incoming sessions in
detail (removed in v2)

	   DNSv4  AIIH   Y4          Z4
	   DNSv6         Y6
	    |      <. . . . . . . . . |   - ask for the IPv4 address of X
	    |            |            |   - this request arrives to the AIIH
Server
	    |            |            |
	    |            |            |   - if node X does not have already
a
	    |            |            |     temporary IPv4 address assigned
then the
	    |            |            |     AIIH allocates an IPv4 address
and
	    |<=====      |            |     registers it in the DNS.
	    |      . . . . . . . . . >|   - AIIH returns the IPv4 address to
node Z4
	    |            |            |
	    |            |<-----------|   - Z4 sends an IPv4 packet which
arrives at Y4
	    |      <=====|            |   - Y4 asks the AIIH server for the
IPv6 address
	    |            |            |     corresponding to X4.
	    |      =====>|            |   - AIIH server responds
	    |<++++++++++ |            |   - The packet is tunneled to node
X6

	I think you are worried about the part that says: "Y4 asks the AIIH
server for the IPv6 address corresponding to X4"

=> Yes, thank you !

	I think the intention there was for the TEP to use DNS to get the
IPv4 address (now assigned) of the IPv6 destination. Another way would be to
use the mechanisms you have in DSTM/SIIT draft to proactively update all the
TEPs of the site with the mappings?

=> Exactly my point ! I don't think the DNS is enough nor is it 
a good idea when delays need to be minimised.

---

From: Francis Dupont <[email-masked]>
Date: Sat, 16 Sep 2000 13:56:16 +0200

In your previous mail you wrote:

    Am I right to say that your issue is generally about incoming
    connections in DSTM rather than the DSTM-SIIT and DSTM-MIPv6 drafts?

    => You're half right :)

=> I believe DSTM will be used with IPv6-only infrastructure because
it removes the need of a dual infrastructure. Then DHCPv4 will not be
used and only DHCPv6 should be "augmented" (ie. KISS principle was applied).

=> this other case is scenario 2 then is not described in the last DSTM
draft.

    => Yes, thank you !

=> I prefer the proactive way to do this (AIIH server configures Y (the TEP)
and X (the MN)). Why? It is simpler and faster.

	I think the intention there was for the TEP to use DNS

=> even it is possible to use the DNS in a reactive way it is a bad solution
(I don't explain why: you already know :-).

    to get the IPv4 address (now assigned) of the IPv6
    destination. Another way would be to use the mechanisms you have in
    DSTM/SIIT draft to proactively update all the TEPs of the site with
    the mappings?

=> you need only one TEP (KISS again).

=> I agree. In fact the DNS is enough but it is far too slow (just not
designed for this task). The DNS is used in DSTM only:
 - to trigger AIIH mechanism in scenario 2
 - to optimize the scenario 2 when there is more than one "Z" node
   (registers X4 in the DNS: subsequent request for X4 will be
    immediately served)
This is not very new, some NATs do exactly the same thing (RFC 2694 & co).

Regards

[email-masked]